## xaralx 0.7r1785

=== debian/changelog ===
xaralx (0.7r1785-7) unstable; urgency=medium

  * Do not depend on a specific version of automake (Closes: #741898)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 18 Mar 2014 17:31:41 +0100

xaralx (0.7r1785-6) unstable; urgency=low

  * Rebuild against newer libwx_gtk2u_core-2.8.so.0 ABI (Closes: #729261)
  * Add patch to link to gtk

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Nov 2013 23:34:05 +0100

xaralx (0.7r1785-5) unstable; urgency=low

  * Update to wxwidgets2.8 (Closes: #645862)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 24 Nov 2011 15:10:56 +0100

xaralx (0.7r1785-4) unstable; urgency=low

  * Build-Depend on libjpeg-dev, not libjpeg62-dev (Closes: #649762)
  * Remove file extension from xaralx.desktop (Closes: #562795)
  * Improve long descriptin of xaralx-examples (Closes: #476975)
  * Fix package description by guessing (if only I knew where I took that from
    originally) (Closes: #598247)
  * Switch to 3.0 (quilt) 
  * Fix FTBFS, thx to Ubuntu for the patches (Closes: #633731)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 23 Nov 2011 23:15:33 +0100

xaralx (0.7r1785-3) unstable; urgency=low

  * New patch 30_gtk_wxwidgets_symbol_clash: Avoid gtk vs. wxwidgets symbol
    clash (Closes: 550165)
  * Depend on wx-common for the wxrc utility 
  * Have configure-stamp depend on patch instead of build, hopefully allowing
    building with DEBBUILDOPTS="-j4".
  * New patch 40_algorithm_include to avoid FTBFS, taken from 
    http://ubuntuforums.org/showpost.php?p=6483814&postcount=2
  * Fix typo in description (Closes: #540886) 
  * New patch 50_update_imagemagick_version_parser, Closes: #549865. More
    robust imagemagick version parsing, thx to Nelson A. de Oliveira for the
    patch. Also call "convert" with "--version" to get a return value of 0.
  * Ship translations as provided on launchpad.net. They are not yet
    installed, as I need to figure out how to do so. Thus this does not yet
    close bug #475253.

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Oct 2009 23:26:16 +0200

xaralx (0.7r1785-2) unstable; urgency=low

  * Do not build for powerpc. It is at the moment not expected to work
  * Move libxar-dev to section libdevel

 -- Joachim Breitner <nomeata@debian.org>  Mon, 07 Apr 2008 19:50:39 +0200

xaralx (0.7r1785-1) unstable; urgency=low

  * New upstream release (not the officially recommended version, but the best
    one currently available, according to some users)
  	+ Window bars are not shown again after a program restart
          (Closes: #44958)
        + "Show guides" only works after a window redraw (Closes: #449583)
  * Remove 20_fix_extra_qualification.dpatch, applied upstream
  * Correctly set arches to "i386 powerpc amd64" or all
    (Closes: #466270)
  * Do not ignore errors from make clean
  * Bump standards version to 3.7.3, adjust menu file section
  * Move Homepage field to control field

 -- Joachim Breitner <nomeata@debian.org>  Mon, 07 Apr 2008 15:19:41 +0200

xaralx (0.7r1692-2) unstable; urgency=low

  * List additional licenes in debian/copyright
  * Include CC-BY-ND-2.5.txt
  * bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 Aug 2006 09:00:45 +0000

xaralx (0.7r1692-1) unstable; urgency=low

  * New upstream release
  * Upstream Patch as 20_fix_extra_qualification.dpatch
  * Trying without automake and libtool dependency
  * Split to multiple packages:
    - libxar-dev for plugins
    - xaralx-examples
    - xaralx-svg for svg plugin
  * Revised package description

 -- Joachim Breitner <nomeata@debian.org>  Sat, 29 Jul 2006 15:34:09 +0200

xaralx (0.6r1442-4) unstable; urgency=low

  * Hmm. Thought I fixed the automake dependecy package name before the
    upload. Sigh...

 -- Joachim Breitner <nomeata@debian.org>  Wed, 19 Jul 2006 14:49:58 +0200

xaralx (0.6r1442-3) unstable; urgency=low

  * Added automake-1.9-dependecy, to avoid dangling symlinks

 -- Joachim Breitner <nomeata@debian.org>  Tue, 18 Jul 2006 12:07:52 +0200

xaralx (0.6r1442-2) unstable; urgency=low

  * Enable auto-building on powerpc and amd64
  * added libxml2-dependency

 -- Joachim Breitner <nomeata@debian.org>  Sat, 15 Jul 2006 11:16:59 +0200

xaralx (0.6r1442-1) unstable; urgency=low

  * new upstream version, closes: #368815
  * no autoconf need any more, closes: #377229

 -- Joachim Breitner <nomeata@debian.org>  Fri, 14 Jul 2006 16:34:33 +0200

xaralx (0.5r1184-1) unstable; urgency=low

  * New upstream release
  * Useful now, can migrate to testing (Closes: #362757)
  * xpm file now shipped by upstream, dropping imagemagick dependency

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 May 2006 22:38:56 +0200

xaralx (0.4r804-1) unstable; urgency=low

  * New upstream release
  * copy "Additional Rights" section to debian/copyright

 -- Joachim Breitner <nomeata@debian.org>  Wed, 12 Apr 2006 01:21:55 +0200

xaralx (0.3r759-1) unstable; urgency=low

  * New upstream release
  * Add imagemagick to Build-Dep, raise automake dependency to 1.9, by
    upstreams request

 -- Joachim Breitner <nomeata@debian.org>  Mon,  3 Apr 2006 10:40:09 +0200

xaralx (0.3r713-1) unstable; urgency=low

  * first public source release
  * Upload to non-free, as the yet-to-be-freed CDraw library is included
    in binary-only form
  * Initial release. (Closes: #347807: ITP: xara -- a vector drawing
    program)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 30 Mar 2006 22:13:42 +0200

xaralx (0.svn20060223-1) NDA-preview; urgency=low

  * Initial release Closes: #347807 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 23 Feb 2006 22:18:32 +0100
