=== debian/control ===
Source: xaralx
Section: non-free/graphics
Priority: optional
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 4.0.0), dpatch, automake, wx-common, wx2.8-headers, libwxgtk2.8-dev, pkg-config, libgtk2.0-dev, libjpeg-dev, zip, libxml2-dev 
Standards-Version: 3.7.3
Homepage: http://www.xaraxtreme.org/

Package: xaralx
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xaralx-examples
Recommends: xaralx-svg, imagemagick
Description: Heavyweight vector graphics, illustration and DTP Program
 Xara LX is a very versatile and mature piece of graphics
 software, tailored for web, print and publishing. Xtreme
 combines advanced and powerful vector illustration with
 integrated photo manipulation and DTP features. Saving and
 loading, due to the XaraDraw 2D rendering library, are fast
 enough to not interrupt the work flow.
 .
 After 15 years of development, Xara Xtreme offers a very slick,
 easy-to-use and easy-to-learn approach. It can import and export
 to a large number of formats, including SVG, EPS, PNG, GIF,
 JPEG, PDF, PostScript, Adobe Illustrator, Adobe Photoshop and,
 via plug-ins, even more.

Package: libxar-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to read and write Xar files 
 The XarLib library is designed to assist in the reading
 and writing of Xar format files.
 .
 This package contains the development files required to
 build software that uses libxar.

Package: xaralx-examples
Architecture: all
Recommends: xaralx
Description: Examples of works created by XaraLx
 Xara LX is a very versatile and mature piece of graphics
 software, tailored for web, print and publishing. Xtreme
 combines advanced and powerful vector illustration with
 integrated photo manipulation and DTP features. Saving and
 loading, due to the XaraDraw 2D rendering library, are fast
 enough to not interrupt the work flow.
 .
 This package contains a number of files created by Xara LX, to serve as
 examples.

Package: xaralx-svg
Architecture: i386 amd64
Depends: xaralx, ${shlibs:Depends}, ${misc:Depends}
Description: SVG (Scalable Vector Graphics) plugin for XaraLX
 This package includes the plugin necessary for opening SVG (Scalable
 Vector Graphics) files in XaraLX.
